Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1115707 - Review Request: nodejs-vow-queue - Vow-based task queue
Summary: Review Request: nodejs-vow-queue - Vow-based task queue
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: nodejs-reviews 1115706
TreeView+ depends on / blocked
 
Reported: 2014-07-02 21:10 UTC by Ralph Bean
Modified: 2014-08-15 02:53 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-22 19:53:04 UTC
panemade: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Ralph Bean 2014-07-02 21:10:22 UTC
Spec URL: http://ralph.fedorapeople.org//nodejs-vow-queue.spec
SRPM URL: http://ralph.fedorapeople.org//nodejs-vow-queue-0.3.1-1.fc20.src.rpm

Description:
vow-queue is a module for task queue with weights and priorities

Comment 1 Parag AN(पराग) 2014-07-17 08:25:19 UTC
Review:

+ mock build is successful for f22

- rpmlint output on rpms gave
nodejs-vow-queue.x86_64: E: no-binary
nodejs-vow-queue.x86_64: W: only-non-binary-in-usr-lib
nodejs-vow-queue.x86_64: W: dangling-symlink /usr/lib/node_modules/vow-queue/node_modules/vow /usr/lib/node_modules/vow
nodejs-vow-queue-debuginfo.x86_64: E: empty-debuginfo-package
3 packages and 0 specfiles checked; 2 errors, 2 warnings.

==> See below suggestion for debuginfo

+ Source verified with upstream as (sha256sum)
srpm tarball     :2104d077ef9b98a7f532c7174d931d34c33ad6c33e08858e164891e7cca189cd
upstream tarball :2104d077ef9b98a7f532c7174d931d34c33ad6c33e08858e164891e7cca189cd

- License tag is not complete.

suggestions:
1) As per source file License is dual. That is license tag should be "MIT and GPLv3+". Also, please clarify upstream this and ask them to provide which GPL version they really intend this code.

2) Add following to spec
BuildArch:  noarch

%if 0%{?fedora} >= 19
ExclusiveArch:  %{nodejs_arches} noarch
%else
ExclusiveArch:  %{ix86} x86_64 %{arm} noarch
%endif

Comment 2 Ralph Bean 2014-07-21 18:45:55 UTC
New release should address your suggestions.

Spec URL: http://threebean.org/rpm/SPECS/nodejs-vow-queue.spec
SRPM URL: http://threebean.org/rpm/SRPMS/nodejs-vow-queue-0.3.1-2.fc20.src.rpm

Comment 3 Parag AN(पराग) 2014-07-22 05:53:34 UTC
Thanks for the update. New srpm looks good.

APPROVED.

Comment 4 Ralph Bean 2014-07-22 14:33:03 UTC
New Package SCM Request
=======================
Package Name: nodejs-vow-queue
Short Description: Vow-based task queue
Upstream URL: https://npmjs.org/package/vow-queue
Owners: ralph
Branches: f21,f20,f19,epel7,el6
InitialCC:

Comment 5 Gwyn Ciesla 2014-07-22 14:42:48 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2014-07-22 19:47:56 UTC
nodejs-vow-queue-0.3.1-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-vow-queue-0.3.1-2.fc20

Comment 7 Fedora Update System 2014-07-22 19:48:07 UTC
nodejs-vow-queue-0.3.1-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-vow-queue-0.3.1-2.fc19

Comment 8 Ralph Bean 2014-07-22 19:53:04 UTC
Buildroot overrides created.

Comment 9 Fedora Update System 2014-08-15 02:45:10 UTC
nodejs-vow-queue-0.3.1-2.fc19 has been pushed to the Fedora 19 stable repository.

Comment 10 Fedora Update System 2014-08-15 02:53:10 UTC
nodejs-vow-queue-0.3.1-2.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.